Bug 212099 - Using --cref option of linker causes lots of linker errors
Using --cref option of linker causes lots of linker errors
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-24 21:55 EDT by Jim Hennessy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-06 05:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jim Hennessy 2006-10-24 21:55:28 EDT
Description of problem:

When I compile a simple Hello World C program with the following command, lots
of errors result:

   cc -o hello -Wl,-Map,hello.map -Wl,--cref hello.c

The errors are along the lines of

   /usr/bin/ld: symbol `' missing from main hash table

The symbols names listed are often garbage.  Omiting the --cref linker option
avoids the errors.

Version-Release number of selected component (if applicable):

I'm using the official release version of Fedora Core 6.

cc --version gives:  cc (GCC) 4.1.1 20061011 (Red Hat 4.1.1-30)

The ld utility is part of:  binutils-2.17.50.0.3-6


How reproducible:

It fails every time, for all C programs I tried.


Steps to Reproduce:

1. Simply compile any C program with a command like the one above.

  
Actual results:

Lots of error messages.

Expected results:

Successful linking.

Additional info:
Comment 2 Jakub Jelinek 2006-12-21 16:03:01 EST
binutils-2.17.50.0.6-2.fc6 are now in FC6 testing updates.  Please check it out.

Note You need to log in before you can comment on or make changes to this bug.